#include <avr/io.h>//Подключаем библиотеку для микроконтроллера ATtiny2313
#include <util/delay.h>// Подключаем библиотеку функции задержки
#include <lcd_lib.h>//Подключаем библиотеку для LCD
#include <lcd_lib.c>//Подключаем библиотеку для LCD
char moya_stroka[16]="Privet  Student!";//определяем массив символов и присваиваем каждому символу moy_stroka[n] значение
int a,b=0;// определяем целочисленные переменные а и b и присваиваем им нулевое значение
int main(void)//главная функция программы
{ DDRB=0xff;//порт В как выход
  PORTB=0x00;// обнуляем значение регистра порта В
  LCDinit();//инициализируем LCD
  LCDclr();//очищаем экран LCD
 
  for(int i=0;i<=15 ;i++)//задаем цикл с помощью оператора for
    
	{ LCDGotoXY(a, b);//переводим курсор на координату (a,b)
	  LCDsendChar(moya_stroka[i]);// записываем на дисплей i-символ
	  _delay_ms(1000);//ждем 1000 мс
	  a++;//инкрементируем координату а
	  if (a>7){a=0;b=1;}//если а будет больше 7, обнулим значение и перейдем на вторую строку
	}
}
	
  
